local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.AlchemyShadowlandsValue(container)


local DeathBlossom = TSM_API.GetCustomPriceValue("dbmarket","i:169701")*162
local Marrowroot = TSM_API.GetCustomPriceValue("dbmarket","i:168589")*179
local Nightshade = TSM_API.GetCustomPriceValue("dbmarket","i:171315")*6
local RisingGlory = TSM_API.GetCustomPriceValue("dbmarket","i:168586")*254
local VigilsTorch = TSM_API.GetCustomPriceValue("dbmarket","i:170554")*152
local Widowbloom = TSM_API.GetCustomPriceValue("dbmarket","i:168583")*54


Add1 = DeathBlossom + Marrowroot
Add2 = Add1 + Nightshade
Add3 = Add2 + RisingGlory
Add4 = Add3 + VigilsTorch
Add5 = Add4 + Widowbloom

local Item = TSM_API.FormatMoneyString(Add5)


--[[
  local desc = AceGUI:Create("Label")  
  desc:SetText("|cff00C78CEstimated Cost: "..Item)
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  container:AddChild(desc)
--]]



print("|cff00C78CEstimated Cost: ".."|cffffffff"..Item)









--[[
local Item = TSM_API.GetCustomPriceValue("dbmarket","p:3025")

local Item = TSM_API.GetCustomPriceValue("dbmarket","i:3025")


local Item = TSM_API.FormatMoneyString(Value)
]]--





end